# Apply pull request code comment suggestions

Endpoint: POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/apply-suggestions
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

## Path parameters:

  - `repo_identifier` (string, required)

  - `pullreq_number` (integer, required)

## Request fields (application/json):

  - `bypass_rules` (boolean)

  - `dry_run_rules` (boolean)

  - `message` (string)

  - `suggestions` (array,null)

  - `suggestions.check_sum` (string)

  - `suggestions.comment_id` (integer)

  - `title` (string)

## Response 200 fields (application/json):

  - `commit_id` (string)

  - `dry_run_rules` (boolean)

  - `rule_violations` (array)

  - `rule_violations.bypassable` (boolean)

  - `rule_violations.bypassed` (boolean)

  - `rule_violations.rule` (object)

  - `rule_violations.rule.identifier` (string)

  - `rule_violations.rule.repo_path` (string)

  - `rule_violations.rule.space_path` (string)

  - `rule_violations.rule.state` (string,null)
    Enum: "active", "disabled", "monitor"

  - `rule_violations.rule.type` (string)
    Enum: "branch", "push", "tag"

  - `rule_violations.violations` (array,null)

  - `rule_violations.violations.code` (string)

  - `rule_violations.violations.message` (string)

  - `rule_violations.violations.params` (array,null)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)

## Response 422 fields (application/json):

  - `message` (string)

  - `violations` (array,null)


